Subject: Re: [GSoC][PATCH] merge: use reverse_commit_list() for list reversal

From: Kousik Sanagavarapu <[email-masked]>
Date: Sun, 5 Feb 2023 23:42:57 +0530

On Sat, 4 Feb 2023 at 00:37, Junio C Hamano <[email-masked]> wrote:

> One possible action item for us may be to rename or give comment to
> highlight the in-place destructive nature of the function to make it
> easier for developers to use (or avoid misusing) it.

There is a comment describing what the function does in commit.h but
it doesn't  _explicitly_ warn about this destructive behavior (although,
with a little thinking, developers can infer that the function can cause
this behavior after reading the comment). So, maybe we should go with the
comment being a bit more descriptive?

Thanks